-- string codes for math symbol
local symbolTable = {
  [0] = "+",
  [1] = "-",
}

function love.update(dt)
  if os.date("%I:%M:%S %p") == alarm.hour..":"..alarm.minute..":00 "..alarm.ampm and not alarm.beeping and alarm.set then
    sleepMode = false
    math.n1 = randomN(2)
    math.n2 = randomN(2)
    math.symbol = symbolTable[love.math.random(0,1)]
    
    if math.n1 < math.n2 and math.symbol == "-" then
      local tempN = math.n1
      math.n1 = math.n2
      math.n2 = tempN
    end
    
    love.audio.play(beeping)
    alarm.beeping = true
  end
end